Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 310999 - kde-4.4.4 "Date & Time" kcm polkit problem: "You are not allowed to save the configuration"
Summary: kde-4.4.4 "Date & Time" kcm polkit problem: "You are not allowed to save the ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal with 1 vote (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 313999
  Show dependency tree
 
Reported: 2010-03-23 22:27 UTC by Alex Barbieri
Modified: 2011-01-18 07:32 UTC (History)
10 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Barbieri 2010-03-23 22:27:56 UTC
I can not change the time, timezone, or ntp settings using the "Date & Time" kcm in KDE-4.4.1. Even when using "kdesu systemsettings" it is still not possible to change the settings as root or any other user.

I recompiled world with USE="policykit" and this did not solve the problem.

The kcm has "You are not allowed to save the configuration" written at the top, even as root. When hitting "apply" after changing the time, the error "Unable to authenticate/execute the action: 4, " appears. 

After searching for others with this problem, it appears to me to be a polkit or policykit issue, perhaps some polkit files missing.

Reproducible: Always

Steps to Reproduce:
1.Attempt to change time or date with kcm.
2.Receive error.
3.
Comment 1 zarzych 2010-03-28 18:43:35 UTC
I encountered the same bug. To be precise, the KAuth mechanism in KDE doesn't allow for authentication with auth_admin policy. I have 'consolekit' and 'policykit' use flags enabled in make.conf.
Comment 2 Marcel Hasler 2010-03-31 14:35:49 UTC
I had the same issue. The problem was that polkit-kde-authentication-agent-1 wasn't running. It works after starting it manually.
Comment 3 Ai Locke Shinseiko (Wizzleby) 2010-04-16 13:32:46 UTC
can confirm that /usr/lib64/kde4/libexec/polkit-kde-authentication-agent-1 does not end up being run in kde session
Comment 4 Piotr Klimczak 2010-04-16 18:30:20 UTC
Same here: Gentoo, KDE 4.4.2
Comment 5 Ai Locke Shinseiko (Wizzleby) 2010-04-24 03:19:06 UTC
the path /usr/lib64/kde4/libexec/polkit-kde-authentication-agent-1 seems a little weird. Is it supposed to be /usr/libexec/... instead?
Comment 6 Andreas K. Hüttel archtester gentoo-dev 2010-06-09 18:15:09 UTC
https://bugs.kde.org/show_bug.cgi?id=209263
https://bugs.kde.org/show_bug.cgi?id=236578

Can you please look at these bug reports, and check if the workaround of cleaning up /var/tmp/kdecache-USERNAME/kpc/ helps?

(I realize that you dont see any crash report, but maybe this is just not generated for obscure reasons...)

How about kde-4.4.4?
Comment 7 zarzych 2010-06-09 19:35:00 UTC
(In reply to comment #6)
> https://bugs.kde.org/show_bug.cgi?id=209263
> https://bugs.kde.org/show_bug.cgi?id=236578
> 
> Can you please look at these bug reports, and check if the workaround of
> cleaning up /var/tmp/kdecache-USERNAME/kpc/ helps?

The workaround didn't change anything for me.

> How about kde-4.4.4?

Still doesn't work in kde-4.4.4...

Comment 8 Andreas K. Hüttel archtester gentoo-dev 2010-06-14 21:36:25 UTC
(In reply to comment #0)
> I can not change the time, timezone, or ntp settings using the "Date & Time"
> kcm in KDE-4.4.1. Even when using "kdesu systemsettings" it is still not
> possible to change the settings as root or any other user.

Could you please try
* logging in as normal user, 
* then running in a terminal "su" (NOT kdesu)
* and then starting in the resulting root shell systemsettings ?
Comment 9 Maciej Mrozowski gentoo-dev 2010-06-23 23:02:15 UTC
Ok, this needs to be handled in two steps:
- polkit-kde needs to be pulled by kdelibs (as, contrary to policykit-kde, it's not kcm dialog but runtime dependency - polkit agent) - now done
- ensure polkit-kde agent is run at startup (will follow)
Comment 10 Maciej Mrozowski gentoo-dev 2010-06-24 00:08:01 UTC
polkit-kde fixed in 0.95.1-r1, now will be autostarted with KDE
Comment 11 Maciej Mrozowski gentoo-dev 2010-06-24 00:11:13 UTC
Now setting date/time works. The only problem remains, polkit runs as root-alike account hence it will create stuff in /, especially /.config, /.kde4, different bug though.
Comment 12 Kirill 2010-06-26 20:14:55 UTC
Ok. I can't reopen the bug. But it still reproduces for me.
I also have the flags in make.conf and manually running:
$ /usr/lib/kde4/libexec/polkit-kde-authentication-agent-1 
PolicyKitKDE is already running!

When I open the Date & Time dialog it still says: "You are not allowed to save the configuration"
 Running it from root console doesn't help.
Comment 13 Andreas K. Hüttel archtester gentoo-dev 2010-06-27 19:02:45 UTC
Reopening as of comment #12
Comment 14 Maciej Mrozowski gentoo-dev 2010-06-29 05:33:53 UTC
Updated description as it's different bug now.

Please verify that:
kdelibs is emerged with policykit USE flag
you enter root password when polkit authorization dialog is shown

Also, do you have kde-base/systemsettings installed? It seems Date/Time KAuth policies are provided by this package.

$ equery belongs org.kde.kcontrol.kcmclock.conf                                            
[ Searching for file(s) org.kde.kcontrol.kcmclock.conf in *... ]                                                   
kde-base/systemsettings-4.4.9999 (/etc/dbus-1/system.d/org.kde.kcontrol.kcmclock.conf)
Comment 15 Peter Ambroz 2010-07-07 13:53:12 UTC
I have exactly the same problem as described in comment #12.
Running fresh install of kde-meta-4.4.4, with policykit USE flag enabled, polkit-{kde,qt} also (automaticaly) installed.
Created new user so there is nothing leftover anywhere in home directory.
Verified that polkit-kde-authentication-agent-1 is running.

Still there is no polkit authorization dialog showing when setting clock, nor there is such dialog when running systemsettings (and trying to edit for example Login manager).
Comment 16 Eugene Shalygin 2010-09-13 17:02:35 UTC
I have the same problem both with KDE 4.5.1 and KDE 9999 (from kde overlay). Nor 'clock' nor 'kdm' kcm modules do not allow me to save. Both report 'You are not allowed to save the configuration' if I run threm from KDE or GNOME session. Even if I runt them from root.

pkaction prints all KDE actions

I injected some log statements in polkit-qt and if I run kcmshell4 from user, polkit_authority_check_authorization_sync() returns 3 (but no authentication window was shown), and if I run it from root, it returns 1 (means Yes, I can perform action) but nevertheless 'You are not allowed to save the configuration' is still present.
Comment 17 John Coben 2010-09-20 05:13:20 UTC
I'm having the same problem, super annoying

polkit-kde-authentication-agent-1 running

added policykit and consolekit use flags then 'emerge --newuse world'

no change
Comment 18 Jekyll Wu 2010-10-08 06:43:10 UTC
After upgrading to KDE 4.5.2( from kde overlay), this problem does not occur anymore for me. 
Comment 19 Peter Ambroz 2010-11-02 09:53:52 UTC
Partly successful with fresh install of kde-meta-4.4.5 with consolekit + policykit USE flags. Clock setting with policykit dialog works.
Systemsettings is not using policykit at all, and still needs to be run with kdesu.
Comment 20 Theo Chatzimichos (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2010-12-30 18:37:39 UTC
it is fixed in newer kde versions, for systemsettings as well